# $Revision: 1.3 $, $Date: 2004/12/23 10:27:18 $

%define		module	scanf

Summary:	The C-scanf-like string parsing in pure Python
Summary(pl):	Parser cigw znakw w skadni scanf napisany w czystym Pythonie
Name:		python-%{module}
Version:	1.0
Release:	1
License:	unknown
Group:		Libraries/Python
Source0:	http://hkn.eecs.berkeley.edu/~dyoo/python/scanf/%{module}-%{version}.tar.gz
# Source0-md5:	a617ca749a40c8f76dd98fc7b91a577d
URL:		http://hkn.eecs.berkeley.edu/~dyoo/python/scanf/
BuildRequires:	python >= 1:2.3
%pyrequires_eq  python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
scanf provides formatted input from standard input, strings, or files,
using a format-string syntax that's similar to C's scanf(). The syntax
should be familiar to C programmers, and offers very simple pattern
matching against strings and files.

%description -l pl
scanf jest moduem Pythona umoliwiajcym wczytywanie danych ze
standardowego wejcia, cigw znakw lub plikw, uywajc cigw
formatujcych zgodnych ze znan z jzyka C funkcj scanf().

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build_ext

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{py_sitescriptdir}}

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--install-lib=%{py_sitescriptdir} \
	--optimize=2

find $RPM_BUILD_ROOT -type f -name "*.py" -exec rm -rf {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{py_sitescriptdir}/%{module}.py[oc]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-scanf.spec,v $
Revision 1.3  2004/12/23 10:27:18  saq
- the right way to use pyrequires_eq

Revision 1.2  2004/08/28 19:10:30  qboosh
- typo

Revision 1.1  2004/08/28 07:31:39  zboczuch
- initial PLD release
